Bug 1257298 - dns=dnsmasq proxy momentarily fails to resolve hostnames that are resolved upstream
dns=dnsmasq proxy momentarily fails to resolve hostnames that are resolved up...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 13:37 EDT by Dimitris
Modified: 2016-07-19 13:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:40:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitris 2015-08-26 13:37:51 EDT
Description of problem:

Several times a day I notice that names which are resolved upstream are, for short periods (seconds) not resolved by the dnsmasq proxy.  This is a regression from F21.

Version-Release number of selected component (if applicable):

1:1.0.6-0.2.20150813git7e2caa2.fc22

How reproducible:

Transient

Steps to Reproduce:
1. dig github.com
2. Occasionally get no addresses from 127.0.0.1
3. but while this is happening, dig @192.168.1.1 github.com resolves.  That's the name server in //var/run/NetworkManager/dnsmasq.conf

Actual results:

github.com does not resolve - only on dnsmasq proxy

Expected results:

github.com should resolve on the proxy if it resolves upstream.

Additional info:
Comment 1 Dimitris 2015-09-14 13:36:25 EDT
Caught this example today:

[d@gaspode ~]$ dig github.com

; <<>> DiG 9.10.2-P4-RedHat-9.10.2-5.P4.fc22 <<>> github.com
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: SERVFAIL, id: 56285
;; flags: qr rd ra; QUERY: 1, ANSWER: 0, AUTHORITY: 0, ADDITIONAL: 1

;; OPT PSEUDOSECTION:
; EDNS: version: 0, flags:; MBZ: 7ffc , udp: 4096
;; QUESTION SECTION:
;github.com.			IN	A

;; Query time: 6 msec
;; SERVER: 127.0.0.1#53(127.0.0.1)
;; WHEN: Mon Sep 14 10:35:09 PDT 2015
;; MSG SIZE  rcvd: 39

[d@gaspode ~]$ dig github.com

; <<>> DiG 9.10.2-P4-RedHat-9.10.2-5.P4.fc22 <<>> github.com
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 61609
;; flags: qr rd ra; QUERY: 1, ANSWER: 1, AUTHORITY: 0, ADDITIONAL: 0

;; QUESTION SECTION:
;github.com.			IN	A

;; ANSWER SECTION:
github.com.		11	IN	A	192.30.252.129

;; Query time: 7 msec
;; SERVER: 127.0.0.1#53(127.0.0.1)
;; WHEN: Mon Sep 14 10:35:12 PDT 2015
;; MSG SIZE  rcvd: 44
Comment 2 Fedora End Of Life 2016-07-19 13:40:23 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.